/*******************************************************************

   This software is the confidential  and proprietary information of
   NetCat Inc.  You shall not disclose such confidential information
   and shall use it only in accordance with the terms of the license
   agreement you entered into with NetCat Inc.

   Copyright (c) 2003 - 2004 by NetCat Inc., www.netcat.li

   Author: Arthur Marxer, Dipl. Informatik-Ing. ETH

*******************************************************************/
import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

import li.netcat.chart.*;

public class FrameHelper {
  
  public static void open(JComponent content) {
    JFrame frame = new JFrame("ChartCat Example");
    frame.setContentPane(content);
    frame.pack();
    frame.setBounds(0, 0, Math.min(frame.getWidth(), 800), Math.min(frame.getHeight(), 800));
    frame.setVisible(true);
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.toFront();
  }
  
  public static void open(Chart chart) {
    open(new JScrollPane(new ChartPanel(chart)));
  }
  
  public static void open(Chart[] charts, int rows, int cols) {
    JPanel panel = new JPanel(new GridLayout(rows, cols, 10, 10));
    panel.setBackground(Color.white);
    for (int i=0; i<charts.length; i++) {
      panel.add(new ChartPanel(charts[i]));
    }
    open(new JScrollPane(panel));
  }
  
}
