/*******************************************************************

   This software is the confidential  and proprietary information of
   NetCat Inc.  You shall not disclose such confidential information
   and shall use it only in accordance with the terms of the license
   agreement you entered into with NetCat Inc.

   Copyright (c) 2003 - 2004 by NetCat Inc., www.netcat.li

   Author: Arthur Marxer, Dipl. Informatik-Ing. ETH

*******************************************************************/

import java.awt.*;

import li.netcat.chart.*;
import li.netcat.print.*;
import li.netcat.print.util.*;

public class ChartPrint extends PainterPrint {
  private Chart _chart;
  
  //// constructor
  
  public ChartPrint(Chart chart) {
    super(new ChartPainter(chart));
  }
  
  public static class ChartPainter implements Painter {
    private Chart _chart;
    
    //// constructor
    
    public ChartPainter(Chart chart) {
      _chart = chart;
    }
    
    //// interface Painter
    
    public Dimension getSize(Graphics g) {
      return _chart.getSize(g);
    }
    
    public void paint(Graphics g, int x, int y) {
      _chart.paint(g, x, y);
    }
  }
}
