/*******************************************************************

   This software is the confidential  and proprietary information of
   NetCat Inc.  You shall not disclose such confidential information
   and shall use it only in accordance with the terms of the license
   agreement you entered into with NetCat Inc.

   Copyright (c) 2003 - 2004 by NetCat Inc., www.netcat.li

   Author: Arthur Marxer, Dipl. Informatik-Ing. ETH

*******************************************************************/

import li.netcat.chart.*;
import li.netcat.chart.util.*;

public class PieChartExample3D {
  
  public static void main(String[] args)	{
    FrameHelper.open(new PieChart(new Model()));
  }
  
  public static class PieChart extends Chart {
    
    public PieChart(ChartModel chartModel) {
      RingPart pie = new RingPart(chartModel);
      PerspectivePart pp = new PerspectivePart(pie);
      pie.setSize(46, 0);
      pie.setStretch(3.0f);
      pie.setFlatness(0.01f);
      pie.getGraphLook().setAreaChartPens(Pen.createFillPens(90, 255));
      pp.setVanishingPoint(0, 30);
      pp.setLight(170, 40);
      setContent(pp);
    }
  }
  
  public static class Model extends ExampleChartModel {
    
    public Model() {
      super(
          new String[] {"A"},
          new String[] {
            "A",
            "B",
            "C",
            "D",
          }, 
          new int[] {2, 4, 5, 3});
    }
    
  }

}
